Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.accessibility
Interface AccessibleComponent

All Known Implementing Classes:
  JComponent.AccessibleJComponent, JTree.AccessibleJTree.AccessibleJTreeNode, JApplet.AccessibleJApplet, JWindow.AccessibleJWindow, Box.Filler.AccessibleBoxFiller, Box.AccessibleBox, JDialog.AccessibleJDialog, CellRendererPane.AccessibleCellRendererPane, JTable.AccessibleJTable.AccessibleJTableCell, JFrame.AccessibleJFrame, JList.AccessibleJList.AccessibleJListChild, JTableHeader.AccessibleJTableHeader.AccessibleJTableHeaderEntry

public abstract interface AccessibleComponent

The AccessibleComponent interface should be supported by any object that is rendered on the screen. This interface provides the standard mechanism for an assistive technology to determine and set the graphical representation of an object. Applications can determine if an object supports the AccessibleComponent interface by first obtaining its AccessibleContext (see `AccessibleAccessible`) and then calling the `AccessibleContext.getAccessibleComponent()` method. If the return value is not null, the object supports this interface.

See Also:
  `Accessible`, `Accessible.getAccessibleContext()`, `AccessibleContext`, `AccessibleContext.getAccessibleComponent()`

Method Summary
`void` | `addFocusListener(java.awt.event.FocusListener l)` Adds the specified focus listener to receive focus events from this component.
`boolean` | `contains(java.awt.Point p)` Checks whether the specified point is within this object's bounds, where the point's x and y coordinates are defined to be relative to the coordinate system of the object.
`Accessible` | `getAccessibleAt(java.awt.Point p)` Returns the Accessible child, if one exists, contained at the local coordinate Point.
`java.awt.Color` | `getBackground()` Get the background color of this object.
`java.awt.Rectangle` | `getBounds()` Gets the bounds of this object in the form of a Rectangle object.
`java.awt.Cursor` | `getCursor()` Get the Cursor of this object.
`java.awt.Font` | `getFont()` Get the Font of this object.
`java.awt.FontMetrics` | `getFontMetrics(java.awt.Font f)` Get the FontMetrics of this object.
`java.awt.Color` | `getForeground()` Get the foreground color of this object.
`java.awt.Point` | `getLocation()` Gets the location of the object relative to the parent in the form of a point specifying the object's top-left corner in the screen's coordinate space.
`java.awt.Point` | `getLocationOnScreen()` Returns the location of the object on the screen.
`java.awt.Dimension` | `getSize()` Returns the size of this object in the form of a Dimension object.
`boolean` | `isEnabled()` Determine if the object is enabled.
`boolean` | `isFocusTraversable()` Returns whether this object can accept focus or not.
`boolean` | `isShowing()` Determine if the object is showing.
`boolean` | `isVisible()` Determine if the object is visible.
`void` | `removeFocusListener(java.awt.event.FocusListener l)` Removes the specified focus listener so it no longer receives focus events from this component.
`void` | `requestFocus()` Requests focus for this object.
`void` | `setBackground(java.awt.Color c)` Set the background color of this object.
`void` | `setBounds(java.awt.Rectangle r)` Sets the bounds of this object in the form of a Rectangle object.
`void` | `setCursor(java.awt.Cursor cursor)` Set the Cursor of this object.
`void` | `setEnabled(boolean b)` Set the enabled state of the object.
`void` | `setFont(java.awt.Font f)` Set the Font of this object.
`void` | `setForeground(java.awt.Color c)` Set the foreground color of this object.
`void` | `setLocation(java.awt.Point p)` Sets the location of the object relative to the parent.
`void` | `setSize(java.awt.Dimension d)` Resizes this object so that it has width and height.
`void` | `setVisible(boolean b)` Set the visible state of the object.

Method Detail

### getBackground

    public java.awt.Color getBackground()

  Get the background color of this object.
  Returns:
    the background color, if supported, of the object; otherwise, null
  See Also:
    `setBackground(java.awt.Color)`

### setBackground

    public void setBackground(java.awt.Color c)

  Set the background color of this object.
  Parameters:
    `c` - the new Color for the background
  See Also:
    `setBackground(java.awt.Color)`

### getForeground

    public java.awt.Color getForeground()

  Get the foreground color of this object.
  Returns:
    the foreground color, if supported, of the object; otherwise, null
  See Also:
    `setForeground(java.awt.Color)`

### setForeground

    public void setForeground(java.awt.Color c)

  Set the foreground color of this object.
  Parameters:
    `c` - the new Color for the foreground
  See Also:
    `getForeground()`

### getCursor

    public java.awt.Cursor getCursor()

  Get the Cursor of this object.
  Returns:
    the Cursor, if supported, of the object; otherwise, null
  See Also:
    `setCursor(java.awt.Cursor)`

### setCursor

    public void setCursor(java.awt.Cursor cursor)

  Set the Cursor of this object.
  Parameters:
    `c` - the new Cursor for the object
  See Also:
    `getCursor()`

### getFont

    public java.awt.Font getFont()

  Get the Font of this object.
  Returns:
    the Font,if supported, for the object; otherwise, null
  See Also:
    `setFont(java.awt.Font)`

### setFont

    public void setFont(java.awt.Font f)

  Set the Font of this object.
  Parameters:
    `f` - the new Font for the object
  See Also:
    `getFont()`

### getFontMetrics

    public java.awt.FontMetrics getFontMetrics(java.awt.Font f)

  Get the FontMetrics of this object.
  Parameters:
    `f` - the Font
  Returns:
    the FontMetrics, if supported, the object; otherwise, null
  See Also:
    `getFont()`

### isEnabled

    public boolean isEnabled()

  Determine if the object is enabled. Objects that are enabled will also have the AccessibleState.ENABLED state set in their AccessibleStateSet.
  Returns:
    true if object is enabled; otherwise, false
  See Also:
    `setEnabled(boolean)`, `AccessibleContext.getAccessibleStateSet()`, `AccessibleState.ENABLED`, `AccessibleStateSet`

### setEnabled

    public void setEnabled(boolean b)

  Set the enabled state of the object.
  Parameters:
    `b` - if true, enables this object; otherwise, disables it
  See Also:
    `isEnabled()`

### isVisible

    public boolean isVisible()

  Determine if the object is visible. Note: this means that the object intends to be visible; however, it may not be showing on the screen because one of the objects that this object is contained by is currently not visible. To determine if an object is showing on the screen, use isShowing().

  Objects that are visible will also have the AccessibleState.VISIBLE state set in their AccessibleStateSet.

  Returns:
    true if object is visible; otherwise, false
  See Also:
    `setVisible(boolean)`, `AccessibleContext.getAccessibleStateSet()`, `AccessibleState.VISIBLE`, `AccessibleStateSet`

### setVisible

    public void setVisible(boolean b)

  Set the visible state of the object.
  Parameters:
    `b` - if true, shows this object; otherwise, hides it
  See Also:
    `isVisible()`

### isShowing

    public boolean isShowing()

  Determine if the object is showing. This is determined by checking the visibility of the object and visibility of the object ancestors. Note: this will return true even if the object is obscured by another (for example, it to object is underneath a menu that was pulled down).
  Returns:
    true if object is showing; otherwise, false

### contains

    public boolean contains(java.awt.Point p)

  Checks whether the specified point is within this object's bounds, where the point's x and y coordinates are defined to be relative to the coordinate system of the object.
  Parameters:
    `p` - the Point relative to the coordinate system of the object
  Returns:
    true if object contains Point; otherwise false
  See Also:
    `getBounds()`

### getLocationOnScreen

    public java.awt.Point getLocationOnScreen()

  Returns the location of the object on the screen.
  Returns:
    location of object on screen; null if this object is not on the screen
  See Also:
    `getBounds()`, `getLocation()`

### getLocation

    public java.awt.Point getLocation()

  Gets the location of the object relative to the parent in the form of a point specifying the object's top-left corner in the screen's coordinate space.
  Returns:
    An instance of Point representing the top-left corner of the objects's bounds in the coordinate space of the screen; null if this object or its parent are not on the screen
  See Also:
    `getBounds()`, `getLocationOnScreen()`

### setLocation

    public void setLocation(java.awt.Point p)

  Sets the location of the object relative to the parent.
  Parameters:
    `p` - the new position for the top-left corner
  See Also:
    `getLocation()`

### getBounds

    public java.awt.Rectangle getBounds()

  Gets the bounds of this object in the form of a Rectangle object. The bounds specify this object's width, height, and location relative to its parent.
  Returns:
    A rectangle indicating this component's bounds; null if this object is not on the screen.
  See Also:
    `contains(java.awt.Point)`

### setBounds

    public void setBounds(java.awt.Rectangle r)

  Sets the bounds of this object in the form of a Rectangle object. The bounds specify this object's width, height, and location relative to its parent.
  Parameters:
    `r` - rectangle indicating this component's bounds
  See Also:
    `getBounds()`

### getSize

    public java.awt.Dimension getSize()

  Returns the size of this object in the form of a Dimension object. The height field of the Dimension object contains this objects's height, and the width field of the Dimension object contains this object's width.
  Returns:
    A Dimension object that indicates the size of this component; null if this object is not on the screen
  See Also:
    `setSize(java.awt.Dimension)`

### setSize

    public void setSize(java.awt.Dimension d)

  Resizes this object so that it has width and height.
  Parameters:
    `d` - - The dimension specifying the new size of the object.
  See Also:
    `getSize()`

### getAccessibleAt

    public Accessible getAccessibleAt(java.awt.Point p)

  Returns the Accessible child, if one exists, contained at the local coordinate Point.
  Parameters:
    `p` - The point relative to the coordinate system of this object.
  Returns:
    the Accessible, if it exists, at the specified location; otherwise null

### isFocusTraversable

    public boolean isFocusTraversable()

  Returns whether this object can accept focus or not. Objects that can accept focus will also have the AccessibleState.FOCUSABLE state set in their AccessibleStateSet.
  Returns:
    true if object can accept focus; otherwise false
  See Also:
    `AccessibleContext.getAccessibleStateSet()`, `AccessibleState.FOCUSABLE`, `AccessibleState.FOCUSED`, `AccessibleStateSet`

### requestFocus

    public void requestFocus()

  Requests focus for this object. If this object cannot accept focus, nothing will happen. Otherwise, the object will attempt to take focus.
  See Also:
    `isFocusTraversable()`

### addFocusListener

    public void addFocusListener(java.awt.event.FocusListener l)

  Adds the specified focus listener to receive focus events from this component.
  Parameters:
    `l` - the focus listener
  See Also:
    `removeFocusListener(java.awt.event.FocusListener)`

### removeFocusListener

    public void removeFocusListener(java.awt.event.FocusListener l)

  Removes the specified focus listener so it no longer receives focus events from this component.
  Parameters:
    `l` - the focus listener
  See Also:
    `addFocusListener(java.awt.event.FocusListener)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.